10 CLEAR 1000
15 ON ERROR GOTO 720
20 ' Heat of Vaporization
30 ' Written by James K. Gaede
40 ' 1985
50 DIM N$(20), D$(20), N(20), L(20)
60 CLS: PRINT "            HEAT OF VAPORIZATION"
70 PRINT
80 DATA Mass of calorimeter cup,g,Mass of calorimeter cup and water,g,"Temperature of water and calorimeter, initial",oC
90 DATA Temperature of steam,oC,"Temperature of water and calorimeter, final",oC,"Mass of water, calorimeter cup, and added steam",g
100 DATA Mass of water,g,Specifice heat of calorimeter,cal/gCo,Mass of steam,g,Temperature change of water and calorimeter,oC
110 DATA Temperature change of water from condensed steam,oC,Calories gained by calorimeter,cal,Calories gained by water,cal
120 DATA Total calories gained,cal,Calories lost by water formed from steam in cooling to final temperature,cal,Calories lost by steam in condensing,cal
130 DATA Heat of vaporization of water (EV),cal/g,Accepted value for heat of vaporization of water (BV),cal/g,Absolute error,cal/g
140 DATA Relative error,%
150 FOR X = 1 TO 20:READ N$(X),D$(X):NEXT
160 FOR X=1 TO 20:L(X)=LEN(N$(X)): IF L(X)>53-LEN(D$(X)) THEN GOSUB 180  
170 NEXT:GOTO 220  
180 M=50:M$=""
190 IF MID$(N$(X),M,1)=" " THEN GOTO 200  ELSE M=M-1: GOTO 190  
200 M$=LEFT$(N$(X),M)+CHR$(10)+RIGHT$(N$(X),L(X)-M):L=LEN(RIGHT$(N$(X),L(X)-M)):L(X)=L
210 N$(X)=M$:RETURN
220 PRINT "ENTER DATA IN (UNITS)"
230 PRINT
240 FOR X= 1 TO 6
250 P$=STRING$(55-L(X)-LEN(D$(X)),"-")
260 PRINT N$(X);" (";D$(X);")";P$;:INPUT N(X)
270 NEXT
280 GOSUB 560  
290 PRINT
300 PRINT"Press <ENTER> for printer print out or <SPACE BAR> for CRT"
310 I$=INKEY$ : IF I$="" THEN 310  
320 IF ASC(I$)=32 THEN 330  ELSE GOTO 390  
330 CLS:PRINT "Press <SPACE BAR> for next line":PRINT
340 FOR X= 1 TO 20
350 PRINT N$(X);STRING$(63-L(X)-LEN(D$(X))-LEN(STR$(N(X))),"-");N(X);D$(X)
360 I$=INKEY$: IF I$="" THEN 360  
370 NEXT
380 GOTO 480  
390 RESTORE:FOR X=1 TO 20:READ N$(X), D$(X):NEXT
400 LPRINT "                 HEAT OF VAPORIZATION"
410 LPRINT " "
420 FOR X= 1 TO 20
430 IF LEN(N$(X))>78-LEN(D$(X))-LEN(STR$(N(X))) THEN GOTO 470  
440 LPRINT N$(X);STRING$(78-LEN(D$(X))-LEN(N$(X))-LEN(STR$(N(X))),"-");N(X);" ";D$(X)
450 NEXT
460 GOTO 480  
470 LPRINT N$(X):LPRINT STRING$(79-LEN(STR$(N(X)))-LEN(D$(X)),"-");N(X);D$(X):GOTO 450  
480 CLS:PRINT "ENTER CHOICE":PRINT
490 PRINT"<1> Repeat CRT listing"
500 PRINT"<2> Repeat printer listing"
510 PRINT"<3> Restart"
520 PRINT"<4> End"
530 I$=INKEY$:IF I$="" THEN 530  
540 I=VAL(I$):IF I>4 OR I<1 THEN 530  
550 ON I GOTO 330  ,390  ,10   ,710  
560 N(7)=N(2)-N(1)
570 N(8)=.214
580 N(9)=N(6)-N(2)
590 N(10)=N(5)-N(3)
600 N(11)=N(4)-N(5)
610 N(12)=N(1)*N(8)*N(10)
620 N(13)=N(7)*N(10)
630 N(14)=N(13)+N(12)
640 N(15)=N(9)*N(11)
650 N(16)=N(14)-N(16)
660 N(17)=N(16)/N(9)
670 N(18)=538.7
680 N(19)=ABS(N(18)-N(17))
690 N(20)=N(19)*100/N(18)
700 RETURN
710 END
720 CLS:PRINT"DATA MUST HAVE CORRECT RELATIVE VALUES"
730 PRINT:PRINT "THE FOLLOWING IS A SAMPLE OF DATA VALUES"
740 PRINT :PRINT "40, 240, 10, 100, 30, 248"
750 I$=INKEY$: IF I$="" THEN 750
760 RUN
